Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511279 - [abrt] gnome-calendar: g_type_check_instance_is_a(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: g_type_check_instance_is_a(): gnome-calendar killed by...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4bc876cb20c8dffcb20219548c0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 04:17 UTC by Ian Taylor
Modified: 2018-08-02 15:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:33:31 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: cgroup (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: core_backtrace (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: cpuinfo (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: dso_list (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: environ (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: exploitable (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: limits (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: maps (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: open_fds (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: proc_pid_status (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details
File: var_log_messages (deleted)
2017-11-09 04:17 UTC, Ian Taylor
no flags Details

Description Ian Taylor 2017-11-09 04:17:00 UTC
Description of problem:
Resized the Calendar window

Version-Release number of selected component:
gnome-calendar-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/gnome-calendar
journald_cursor: s=b4d783aa0c23455697e363123eeb45e7;i=13af7;b=f0de152b1e104971924acc43a94c2a40;m=b8a12a41;t=55d84efa04775;x=3f025c3a9cc0d7b7
kernel:         4.13.9-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_is_a at gtype.c:4013
 #1 gtk_widget_queue_draw at gtkwidget.c:5638
 #2 _g_closure_invoke_va at gclosure.c:867
 #5 update_current_date at ../src/gcal-clock.c:81
 #6 timeout_cb at ../src/gcal-clock.c:124
 #11 g_main_context_iteration at gmain.c:3947
 #12 g_application_run at gapplication.c:2401

Comment 1 Ian Taylor 2017-11-09 04:17:05 UTC
Created attachment 1349684 [details]
File: backtrace

Comment 2 Ian Taylor 2017-11-09 04:17:05 UTC
Created attachment 1349685 [details]
File: cgroup

Comment 3 Ian Taylor 2017-11-09 04:17:06 UTC
Created attachment 1349686 [details]
File: core_backtrace

Comment 4 Ian Taylor 2017-11-09 04:17:07 UTC
Created attachment 1349687 [details]
File: cpuinfo

Comment 5 Ian Taylor 2017-11-09 04:17:08 UTC
Created attachment 1349688 [details]
File: dso_list

Comment 6 Ian Taylor 2017-11-09 04:17:08 UTC
Created attachment 1349689 [details]
File: environ

Comment 7 Ian Taylor 2017-11-09 04:17:09 UTC
Created attachment 1349690 [details]
File: exploitable

Comment 8 Ian Taylor 2017-11-09 04:17:10 UTC
Created attachment 1349691 [details]
File: limits

Comment 9 Ian Taylor 2017-11-09 04:17:11 UTC
Created attachment 1349692 [details]
File: maps

Comment 10 Ian Taylor 2017-11-09 04:17:11 UTC
Created attachment 1349693 [details]
File: open_fds

Comment 11 Ian Taylor 2017-11-09 04:17:12 UTC
Created attachment 1349694 [details]
File: proc_pid_status

Comment 12 Ian Taylor 2017-11-09 04:17:13 UTC
Created attachment 1349695 [details]
File: var_log_messages

Comment 13 Granata Giovanni 2017-12-08 10:47:17 UTC
*** Bug 1523582 has been marked as a duplicate of this bug. ***

Comment 14 teromene 2018-01-09 15:26:50 UTC
*** Bug 1532689 has been marked as a duplicate of this bug. ***

Comment 15 Filippo Berto 2018-04-09 06:50:44 UTC
Similar problem has been detected:

The process crashes on system boot, as soon as I reach the desktop.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/gnome-calendar
journald_cursor: s=ce2b7aa67bd9485983f2a3d64a61914c;i=11fd7;b=e805bab56e104ea19ddc5a1e0f542bc9;m=97ac779a3;t=5695b57e28936;x=9ec5c27977ffce10
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-calendar-3.26.4-1.fc27
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Igor Gnatenko 2018-08-02 15:33:31 UTC
Please test with latest updates and reopen if still reproducible.


Note You need to log in before you can comment on or make changes to this bug.